import 'package:flutter/material.dart';

import 'statusbar.dart';

class ScaffoldWithStatusbar extends StatelessWidget {
  const ScaffoldWithStatusbar({
    this.appBar,
    this.body,
    this.floatingActionButton,
    super.key,
  });

  final AppBar? appBar;
  final Widget? body;
  final FloatingActionButton? floatingActionButton;

  @override
  Widget build(BuildContext context) {
    return Scaffold(
      body: Column(
        children: [
          const StatusBar(),
          Expanded(
            child: Scaffold(
              appBar: appBar,
              body: body,
              floatingActionButton: floatingActionButton,
            ),
          ),
        ],
      ),
    );
  }
}
